diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 9e86eb4..edfbb96 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -54,15 +54,21 @@ all: noweb ${MNT}/${SYS}/bin/document
 	     mkdir -p ${MNT}/${SYS}/doc/src/input ; \
              cd ${MNT}/${SYS}/doc/src/input ; \
 	     cp ${SRC}/scripts/tex/axiom.sty . ; \
-	     for i in `ls ${SRC}/input/*.input.pamphlet` ; \
-               do latex $$i ; \
-               done ; \
-	      rm -f *~ ; \
-	      rm -f *.pamphlet~ ; \
-	      rm -f *.log ; \
-	      rm -f *.tex ; \
-	      rm -f *.toc ; \
-	      rm -f *.aux ) ; \
+	     for i in `ls ${SRC}/input/*.input.pamphlet` ; do \
+	      if [ .${NOISE} = . ] ; \
+	      then \
+               latex $$i ; \
+	      else \
+	       ( echo p4a making $$i ; \
+	         latex $$i >${TMP}/trace ) ; \
+	      fi ; \
+             done ; \
+	     rm -f *~ ; \
+	     rm -f *.pamphlet~ ; \
+	     rm -f *.log ; \
+	     rm -f *.tex ; \
+	     rm -f *.toc ; \
+	     rm -f *.aux ) ; \
 	  fi
 	@ if [ "$RUNTYPE" = "parallel" ] ; then \
 	     ( echo p6 starting parallel make of help ; \
@@ -656,7 +662,7 @@ ${SPD}/src/Makefile: ${SPD}/src/Makefile.pamphlet
 libspadclean:
 	@echo 17 cleaning ${OBJ}/${SYS}/lib	
 	@rm -rf ${OBJ}/${SYS}/lib	
-	@( cd src ; ${DOCUMENT} ${NOISE} Makefile )
+	@( cd src ; ${DOCUMENT} Makefile )
 	@( cd src ; ${ENV} ${MAKE} clean )
 	@rm -f ${SPD}/src/Makefile ${SPD}/src/Makefile.dvi
 
@@ -693,7 +699,7 @@ It looks for a chunk name that matches the version number.
 ${LSP}/Makefile: ${LSP}/Makefile.pamphlet
 	@echo 20 making ${LSP}/Makefile from ${LSP}/Makefile.pamphlet
 	@( cd lsp ; \
-	 ${DOCUMENT} ${NOISE} Makefile ; \
+	 ${DOCUMENT} Makefile ; \
 	 if [ "${GCLVERSION}" != "gcl-2.4.1" ] ; then \
 	 ${TANGLE} -t8 -R"${GCLVERSION}" Makefile.pamphlet >Makefile ; \
          fi )
diff --git a/changelog b/changelog
index 1946699..b9f8022 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100727 tpd src/axiom-website/patches.html 20100727.01.tpd.patch
+20100727 tpd Makefile build src/input quietly
 20100726 tpd src/axiom-website/patches.html 20100726.01.tpd.patch
 20100726 tpd src/scripts/tex/axiom.sty consolidate latex macros
 20100726 tpd src/doc/axiom.sty consolidate latex macros
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3c902c8..244915a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3027,5 +3027,7 @@ Makefile VERSION July 2010<br/>
 src/axiom-website/download.html upload source, add ubuntu binary<br/>
 <a href="patches/20100726.01.tpd.patch">20100726.01.tpd.patch</a>
 src/doc/axiom.sty consolidate latex macros<br/>
+<a href="patches/20100727.01.tpd.patch">20100727.01.tpd.patch</a>
+Makefile build src/input quietly<br/>
  </body>
 </html>
